com.pdfunit.validators

## Class MultiDocumentImageValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentImageValidator

-     @DoNotObfuscate
      public final class MultiDocumentImageValidator
      extends java.lang.Object

  This class is a wrapper around the ImageValidator to validate the images in all given PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `ImageValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentImageValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentImageValidator` | `containsImage(java.io.File imageFile)` Deprecated.
    `MultiDocumentImageValidator` | `containsImage(java.io.InputStream imageStream)` Deprecated.
    `MultiDocumentImageValidator` | `containsImage(java.lang.String imageFileName)` Deprecated.
    `void` | `containsOneImageOf(java.awt.image.BufferedImage[] allPossibleImages)` Deprecated.
    `MultiDocumentImageValidator` | `hasImage()` This method validates that the current document has an image in the defined pages and regions.
    `void` | `hasNoImage()`
    `void` | `hasNumberOfDifferentImages(int expectedNumber)`
    `void` | `hasNumberOfVisibleImages(int expectedNumber)`
    `MultiDocumentImageValidator` | `matching(java.awt.image.BufferedImage expectedImage)` This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.
    `MultiDocumentImageValidator` | `matching(java.io.File expectedImageFile)` This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.
    `MultiDocumentImageValidator` | `matching(java.io.InputStream expectedImageStream)` This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.
    `MultiDocumentImageValidator` | `matching(java.lang.String expectedImageFileName)` This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.
    `MultiDocumentImageValidator` | `matching(java.net.URL expectedImageUrl)` This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentImageValidator

          protected MultiDocumentImageValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### containsImage

          @Deprecated
          @Guarded
          public MultiDocumentImageValidator containsImage(java.lang.String imageFileName)

      Deprecated.
      This method verifies that every page in effect, defined by the second parameter, contains the image, given by the first parameter. This was done for each of the PDF documents.

      This method is deprecated because the style of the fluent API changed. Instead of `AssertThat.eachDocument(filenames).containsImage(imageFile)` use `AssertThat.eachDocument(filenames).hasImage().matching(imageFile)`.

    - #### containsImage

          @Deprecated
          @Guarded
          public MultiDocumentImageValidator containsImage(java.io.File imageFile)

      Deprecated.
      This method verifies that every page in effect, defined by the second parameter, contains the image, given by the first parameter. This was done for each of the PDF documents.

      This method is deprecated because the style of the fluent API changed. Instead of `AssertThat.eachDocument(filenames).containsImage(imageFile)` use `AssertThat.eachDocument(filenames).hasImage().matching(imageFile)`.

    - #### containsImage

          @Deprecated
          @Guarded
          public MultiDocumentImageValidator containsImage(java.io.InputStream imageStream)

      Deprecated.
      This method verifies that every page in effect, defined by the second parameter, contains the image, given by the first parameter. This was done for each of the PDF documents.

      This method is deprecated because the style of the fluent API changed. Instead of `AssertThat.eachDocument(filenames).containsImage(imageStream)` use `AssertThat.eachDocument(filenames).hasImage().matching(imageStream)`.

    - #### containsOneImageOf

          @Deprecated
          @Guarded
          public void containsOneImageOf(java.awt.image.BufferedImage[] allPossibleImages)

      Deprecated.
      This method verifies that on of the given images can be found on the defined pages. This was done for all given PDF documents.

      This method is deprecated because the style of the fluent API changed. Instead of `AssertThat.eachDocument(filenames).containsOneImageOf(images)` use `AssertThat.eachDocument(filenames).hasImage().matchingOneOf(images)`.

    - #### hasImage

          public MultiDocumentImageValidator hasImage()

      This method validates that the current document has an image in the defined pages and regions. This method is needed for tests which are pointing to the image itself.

    - #### hasNoImage

          public void hasNoImage()

    - #### hasNumberOfDifferentImages

          @Guarded
          public void hasNumberOfDifferentImages(int expectedNumber)

    - #### hasNumberOfVisibleImages

          @Guarded
          public void hasNumberOfVisibleImages(int expectedNumber)

    - #### matching

          @Guarded
          public MultiDocumentImageValidator matching(java.lang.String expectedImageFileName)

      This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.

    - #### matching

          @Guarded
          public MultiDocumentImageValidator matching(java.io.File expectedImageFile)

      This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.

    - #### matching

          @Guarded
          public MultiDocumentImageValidator matching(java.io.InputStream expectedImageStream)

      This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.

    - #### matching

          @Guarded
          public MultiDocumentImageValidator matching(java.net.URL expectedImageUrl)

      This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.

    - #### matching

          @Guarded
          public MultiDocumentImageValidator matching(java.awt.image.BufferedImage expectedImage)

      This method verifies that one of the extracted images is equal to the expected image which is given by the parameter.

Copyright (C) PDFUnit.com. See here for license.